SapccApiRemoveCartEntryRequest
Request parameters for removeCartEntry operation in SapccApi. SapccApiRemoveCartEntryRequest
interface SapccApiRemoveCartEntryRequest {
readonly baseSiteId: string;
readonly cartId: string;
readonly entryNumber: number;
readonly userId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
baseSiteId | Required | string | Base site identifier. {string} SapccApiRemoveCartEntry |
cartId | Required | string | Cart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiRemoveCartEntry |
entryNumber | Required | number | Each entry in a cart has an entry number. Cart entries are numbered in ascending order, starting with zero. {number} SapccApiRemoveCartEntry |
userId | Required | string | User identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiRemoveCartEntry |